/* 
Distribuiran Racunarski Sistemi
 domaci zadatak 00
 Milos Kovacevic, 250/97, pirate@bitsyu.net, www.mpirate.net
 tekst zadatka :
  Napisati program na jeziku Java koji simulira sistem
  u kome ima vie klijenata i jedan server. 
  Oni komuniciraju po principu randevua (kao u jeziku ADA).
  Program treba da obezbedi maksimalnu konkurentnost i da 
  prikazuje tok simulacije.
*/

public class Simulator {
	static int brojKlijenata;
	static Server server;
	static Klijent klijent [];
	static final int neozbiljnost = 150;
	
	public static void main (String [] argumenti) {
		System.out.println("Simka v1.00 - Simulacija sistema sa vise klijenata i jednim serverom");
		System.out.println("  autor: Milos Kovacevic - pirate@bitsyu.net - www.mpirate.net\n\n");
		System.out.print("[Upisi broj klijenata] >");
		try {
			brojKlijenata = Citaj.Int();
		} catch (NumberFormatException e) { 
			System.out.println("greska pri unosu, postavljam 3 klijenta");
			brojKlijenata=3; 
		}
		if (brojKlijenata>neozbiljnost) {
			System.out.print("Neozbiljnima nije dozvoljeno koriscenje ovog programa");
			System.exit(0);
		}
		server = new Server ();
		server.start();
		klijent = new Klijent[brojKlijenata];
		for (int i=0; i<brojKlijenata; i++)
			(klijent[i] = new Klijent (server)) .start() ;
		
	}
	
}