
public class Server extends Thread {
	
	public Server () {
		System.out.println ("<server> kreiran");
	}
	
	// obrada zahteva koja traje u proseku 5 sekundi
	public static String komplikovanMatematickiProracun (String rec) {
		System.out.println ("        <SERVER> obradjuje zahtev ...");
		StringBuffer buf = new StringBuffer(rec);
		buf.reverse ();
		try {				
			sleep ( (long) ( -5000*Math.log(Math.random()) ) );
		} catch (InterruptedException e) {}
		return buf.toString();
	}
	
	
	public synchronized void randevu (Zahtev zahtev) {
		System.out.println ("    [RANDEVU] : <SERVER> -+- <KLIJENT #"+zahtev.klijent().ID()+"> ...");
		zahtev.postaviOdgovor ( komplikovanMatematickiProracun (zahtev.zahtev()) );
		System.out.println ("    [RANDEVU] : <SERVER> -+- <KLIJENT #"+zahtev.klijent().ID()+"> obavljen, rezultat= ["+zahtev.odgovor()+"]");
		notify ();
	}
	
	
	public synchronized void run() {
		System.out.println ("<SERVER> pokrenut");
		while (true) {
			System.out.println ("<SERVER> slobodan i ceka na [RANDEVU]");
			try {
				wait ();
			} catch (InterruptedException e) {}
		}
	}
}